Aerodrome V2 Pools
Returns Aerodrome V2 liquidity pools on Base with summary metrics aggregated over the previous 7 completed UTC days. Each pool record includes token pair details, TVL, volume, fees, rewards, and APR breakdowns.
GET
https://api.cambrian.org/evm/aero/v2/pools
Parameters
chain_id (integer)
EVM chain ID.
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "poolId",
"type": "String"
},
{
"name": "token0",
"type": "String"
},
{
"name": "token0Symbol",
"type": "String"
},
{
"name": "token0Decimals",
"type": "UInt8"
},
{
"name": "token1",
"type": "String"
},
{
"name": "token1Symbol",
"type": "String"
},
{
"name": "token1Decimals",
"type": "UInt8"
},
{
"name": "tvlToken0",
"type": "Float64"
},
{
"name": "tvlToken1",
"type": "Float64"
},
{
"name": "priceUsdToken0",
"type": "Nullable(Float64)"
},
{
"name": "priceUsdToken1",
"type": "Nullable(Float64)"
},
{
"name": "poolTvlUsd",
"type": "Nullable(Float64)"
},
{
"name": "volume24hUsd",
"type": "Nullable(Float64)"
},
{
"name": "volume7dUsd",
"type": "Nullable(Float64)"
},
{
"name": "fees7dUsd",
"type": "Nullable(Float64)"
},
{
"name": "aeroRewards7dUsd",
"type": "Nullable(Float64)"
},
{
"name": "bribes7dUsd",
"type": "Nullable(Float64)"
},
{
"name": "swapFeeApr7d",
"type": "Nullable(Float64)"
},
{
"name": "aeroRewardApr7d",
"type": "Nullable(Float64)"
},
{
"name": "bribeFeeApr7d",
"type": "Nullable(Float64)"
},
{
"name": "totalApr7d",
"type": "Nullable(Float64)"
},
{
"name": "createdAt",
"type": "DateTime('UTC')"
},
{
"name": "tvlPriceComplete",
"type": "UInt8"
},
{
"name": "unpricedTokenAddresses",
"type": "Array(String)"
}
],
"data": [
[
"0x6cdcb1c4a4d1c3c6d054b27ac5b77e89eafb971d",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
6,
"0x940181a94a35a4569e4529a3cdfb74e38fd98631",
"AERO",
18,
12601279.199261,
30392701.917380873,
1,
0.41335875,
25164368.38,
1163798.73,
10127138.8,
30381.42,
95109.51,
null,
0.063,
0.1971,
null,
null,
"2023-09-07T22:50:45+00:00",
1,
[]
],
[
"0xde4fb30ccc2f1210fce2c8ad66410c586c8d1f9a",
"0x4200000000000000000000000000000000000006",
"WETH",
18,
"0x7ba6f01772924a82d9626c126347a28299e98c98",
"msETH",
18,
2116.64090057896,
7206.929065515169,
1873.11058738,
1348.95235501,
13686506.42,
40074.73,
7585256.48,
3792.63,
9521.67,
7242.67,
0.0144,
0.0363,
0.0276,
0.0783,
"2024-06-05T21:56:33+00:00",
1,
[]
]
],
"rows": 100
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. List Top Aerodrome V2 Pools
Retrieve the default set of Aerodrome V2 pools on Base with their 7-day summary metrics.
curl
curl -X GET "https://api.cambrian.org/evm/aero/v2/pools?" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "poolId",
6 "type": "String"
7 },
8 {
9 "name": "token0",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "tvlToken0",
34 "type": "Float64"
35 },
36 {
37 "name": "tvlToken1",
38 "type": "Float64"
39 },
40 {
41 "name": "priceUsdToken0",
42 "type": "Nullable(Float64)"
43 },
44 {
45 "name": "priceUsdToken1",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "poolTvlUsd",
50 "type": "Nullable(Float64)"
51 },
52 {
53 "name": "volume24hUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "volume7dUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "fees7dUsd",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "aeroRewards7dUsd",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "bribes7dUsd",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "swapFeeApr7d",
74 "type": "Nullable(Float64)"
75 },
76 {
77 "name": "aeroRewardApr7d",
78 "type": "Nullable(Float64)"
79 },
80 {
81 "name": "bribeFeeApr7d",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "totalApr7d",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "createdAt",
90 "type": "DateTime('UTC')"
91 },
92 {
93 "name": "tvlPriceComplete",
94 "type": "UInt8"
95 },
96 {
97 "name": "unpricedTokenAddresses",
98 "type": "Array(String)"
99 }
100 ],
101 "data": [
102 [
103 "0x6cdcb1c4a4d1c3c6d054b27ac5b77e89eafb971d",
104 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
105 "USDC",
106 6,
107 "0x940181a94a35a4569e4529a3cdfb74e38fd98631",
108 "AERO",
109 18,
110 12601279.199261,
111 30392701.917380873,
112 1,
113 0.41335875,
114 25164368.38,
115 1163798.73,
116 10127138.8,
117 30381.42,
118 95109.51,
119 null,
120 0.063,
121 0.1971,
122 null,
123 null,
124 "2023-09-07T22:50:45+00:00",
125 1,
126 []
127 ],
128 [
129 "0xde4fb30ccc2f1210fce2c8ad66410c586c8d1f9a",
130 "0x4200000000000000000000000000000000000006",
131 "WETH",
132 18,
133 "0x7ba6f01772924a82d9626c126347a28299e98c98",
134 "msETH",
135 18,
136 2116.64090057896,
137 7206.929065515169,
138 1873.11058738,
139 1348.95235501,
140 13686506.42,
141 40074.73,
142 7585256.48,
143 3792.63,
144 9521.67,
145 7242.67,
146 0.0144,
147 0.0363,
148 0.0276,
149 0.0783,
150 "2024-06-05T21:56:33+00:00",
151 1,
152 []
153 ]
154 ],
155 "rows": 100
156 }
157]
2 {
3 "columns": [
4 {
5 "name": "poolId",
6 "type": "String"
7 },
8 {
9 "name": "token0",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "tvlToken0",
34 "type": "Float64"
35 },
36 {
37 "name": "tvlToken1",
38 "type": "Float64"
39 },
40 {
41 "name": "priceUsdToken0",
42 "type": "Nullable(Float64)"
43 },
44 {
45 "name": "priceUsdToken1",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "poolTvlUsd",
50 "type": "Nullable(Float64)"
51 },
52 {
53 "name": "volume24hUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "volume7dUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "fees7dUsd",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "aeroRewards7dUsd",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "bribes7dUsd",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "swapFeeApr7d",
74 "type": "Nullable(Float64)"
75 },
76 {
77 "name": "aeroRewardApr7d",
78 "type": "Nullable(Float64)"
79 },
80 {
81 "name": "bribeFeeApr7d",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "totalApr7d",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "createdAt",
90 "type": "DateTime('UTC')"
91 },
92 {
93 "name": "tvlPriceComplete",
94 "type": "UInt8"
95 },
96 {
97 "name": "unpricedTokenAddresses",
98 "type": "Array(String)"
99 }
100 ],
101 "data": [
102 [
103 "0x6cdcb1c4a4d1c3c6d054b27ac5b77e89eafb971d",
104 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
105 "USDC",
106 6,
107 "0x940181a94a35a4569e4529a3cdfb74e38fd98631",
108 "AERO",
109 18,
110 12601279.199261,
111 30392701.917380873,
112 1,
113 0.41335875,
114 25164368.38,
115 1163798.73,
116 10127138.8,
117 30381.42,
118 95109.51,
119 null,
120 0.063,
121 0.1971,
122 null,
123 null,
124 "2023-09-07T22:50:45+00:00",
125 1,
126 []
127 ],
128 [
129 "0xde4fb30ccc2f1210fce2c8ad66410c586c8d1f9a",
130 "0x4200000000000000000000000000000000000006",
131 "WETH",
132 18,
133 "0x7ba6f01772924a82d9626c126347a28299e98c98",
134 "msETH",
135 18,
136 2116.64090057896,
137 7206.929065515169,
138 1873.11058738,
139 1348.95235501,
140 13686506.42,
141 40074.73,
142 7585256.48,
143 3792.63,
144 9521.67,
145 7242.67,
146 0.0144,
147 0.0363,
148 0.0276,
149 0.0783,
150 "2024-06-05T21:56:33+00:00",
151 1,
152 []
153 ]
154 ],
155 "rows": 100
156 }
157]
2. Paginate Through Results
Use `limit` and `offset` to page through the full pool list beyond the default page size.
curl
curl -X GET "https://api.cambrian.org/evm/aero/v2/pools?limit=5&offset=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "poolId",
6 "type": "String"
7 },
8 {
9 "name": "token0",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "tvlToken0",
34 "type": "Float64"
35 },
36 {
37 "name": "tvlToken1",
38 "type": "Float64"
39 },
40 {
41 "name": "priceUsdToken0",
42 "type": "Nullable(Float64)"
43 },
44 {
45 "name": "priceUsdToken1",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "poolTvlUsd",
50 "type": "Nullable(Float64)"
51 },
52 {
53 "name": "volume24hUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "volume7dUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "fees7dUsd",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "aeroRewards7dUsd",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "bribes7dUsd",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "swapFeeApr7d",
74 "type": "Nullable(Float64)"
75 },
76 {
77 "name": "aeroRewardApr7d",
78 "type": "Nullable(Float64)"
79 },
80 {
81 "name": "bribeFeeApr7d",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "totalApr7d",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "createdAt",
90 "type": "DateTime('UTC')"
91 },
92 {
93 "name": "tvlPriceComplete",
94 "type": "UInt8"
95 },
96 {
97 "name": "unpricedTokenAddresses",
98 "type": "Array(String)"
99 }
100 ],
101 "data": "... (see full response schema above; use offset=10 to retrieve rows 11-15 with limit=5)",
102 "rows": 100
103 }
104]
2 {
3 "columns": [
4 {
5 "name": "poolId",
6 "type": "String"
7 },
8 {
9 "name": "token0",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "tvlToken0",
34 "type": "Float64"
35 },
36 {
37 "name": "tvlToken1",
38 "type": "Float64"
39 },
40 {
41 "name": "priceUsdToken0",
42 "type": "Nullable(Float64)"
43 },
44 {
45 "name": "priceUsdToken1",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "poolTvlUsd",
50 "type": "Nullable(Float64)"
51 },
52 {
53 "name": "volume24hUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "volume7dUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "fees7dUsd",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "aeroRewards7dUsd",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "bribes7dUsd",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "swapFeeApr7d",
74 "type": "Nullable(Float64)"
75 },
76 {
77 "name": "aeroRewardApr7d",
78 "type": "Nullable(Float64)"
79 },
80 {
81 "name": "bribeFeeApr7d",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "totalApr7d",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "createdAt",
90 "type": "DateTime('UTC')"
91 },
92 {
93 "name": "tvlPriceComplete",
94 "type": "UInt8"
95 },
96 {
97 "name": "unpricedTokenAddresses",
98 "type": "Array(String)"
99 }
100 ],
101 "data": "... (see full response schema above; use offset=10 to retrieve rows 11-15 with limit=5)",
102 "rows": 100
103 }
104]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/aero/v2/pools"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/aero/v2/pools"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/aero/v2/pools")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/aero/v2/pools")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request